<?php

namespace App\Entities;

use App\Entities\CommonEntity;
use App\Models\UserModel as Model;

class UserEntity extends CommonEntity
{
    const PK = Model::PK;
    const TITLE = Model::TITLE;
    const STATUS_NORMAL = "normal";
    const STATUS_PAUSE = "pause";
    const STATUS_TERMINATED = "terminated";
    const DEFAULT_STATUS    = self::STATUS_NORMAL;

    public function getID(): string
    {
        return $this->attributes['id'];
    }
    public function getPassword(): string
    {
        return $this->attributes['passwd'];
    }
    public function getRole(): string
    {
        return $this->attributes['role'];
    }
}
